diff -aburN inc.original//common.php inc//common.php
--- inc.original//common.php	2011-06-14 21:58:53.000000000 +0200
+++ inc//common.php	2011-09-17 08:22:58.000000000 +0200
@@ -275,7 +275,7 @@
     $crumbs = isset($_SESSION[DOKU_COOKIE]['bc']) ? $_SESSION[DOKU_COOKIE]['bc'] : array();
     //we only save on show and existing wiki documents
     $file = wikiFN($ID);
-    if($ACT != 'show' || !@file_exists($file)){
+    if($ACT != 'show' || !@file_exists($file) || auth_quickaclcheck($ID) < AUTH_READ){
         $_SESSION[DOKU_COOKIE]['bc'] = $crumbs;
         return $crumbs;
     }
diff -aburN inc.original//parser/xhtml.php inc//parser/xhtml.php
--- inc.original//parser/xhtml.php	2011-06-14 21:58:54.000000000 +0200
+++ inc//parser/xhtml.php	2011-09-17 10:12:38.000000000 +0200
@@ -590,7 +590,7 @@
 
         $name = $this->_getLinkTitle($name, $default, $isImage, $id, $linktype);
         if ( !$isImage ) {
-            if ( $exists ) {
+            if ( $exists && (auth_quickaclcheck($id) >= AUTH_READ) ) {
                 $class='wikilink1';
             } else {
                 $class='wikilink2';
@@ -1156,7 +1156,7 @@
             $isImage = true;
             return $this->_imageTitle($title);
         } elseif ( is_null($title) || trim($title)=='') {
-            if (useHeading($linktype) && $id) {
+            if (useHeading($linktype) && $id && (auth_quickaclcheck($id) >= AUTH_READ) ) {
                 $heading = p_get_first_heading($id);
                 if ($heading) {
                     return $this->_xmlEntities($heading);
